# Site settings
title: Foci Technical Blog
description: >
  Technical blog for foci solutions developers

baseurl: "/technical-blog" # the subpath of your site, e.g. /blog/
url: https://foci-open-source.gitlab.io/technical-blog # the base hostname & protocol for your site
git_address: https://gitlab.com/foci-open-source/technical-blog.git
git_edit_address: https://gitlab.com/foci-open-source/technical-blog/tree/master/

encoding: utf-8

# theme options from https://bootswatch.com/
# comment out this to use default Bootstrap
bootwatch: readable

# Build settings
markdown: kramdown
highlighter: rouge
gems:
  - jekyll-feed
  - jekyll-redirect-from
  - jekyll-seo-tag
  - jekyll-sitemap

exclude:
  - Gemfile
  - Gemfile.lock
  - .idea/
  - .gitignore
  - README.md
timezone: America/Atikokan
defaults:
- scope:
    path: _posts
    type: posts
  values:
    layout: post
    sectionid: blog

- scope:
    path: _docs
    type: docs
  values:
    layout: docs
    sectionid: docs
    seo:
      type: "WebPage"

collections:
  docs:
    permalink: /:collection/:path/
    output: true
  posts:
    permalink: /blog/:year/:month/:day/:title/
    output: true
